### org.jfree.layouting.input.style.parser.stylehandler.jfreereport

# Class XAndYReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.jfreereport.XAndYReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class XAndYReadHandler`
`extends AbstractWidthReadHandler`

Creation-Date: 27.11.2005, 21:33:25

Author:
  Thomas Morgner

  ## Constructor Summary

  `XAndYReadHandler()`

  ## Method Summary

  `protected CSSValue`

  `parseWidth(LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

  `createValue`, `isAllowAuto`, `isAllowPercentages`, `parseWidth`

## Constructor Details

### XAndYReadHandler

    public XAndYReadHandler()

## Method Details

### parseWidth

    protected CSSValue parseWidth(LexicalUnit value)

> Overrides:
>   parseWidth in interface AbstractWidthReadHandler